> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get community interactions

> Gets the community interactions for a brand, and supports filtering.



## OpenAPI

````yaml api-reference/community-openapi.json GET /community_interactions
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Manage community interactions in the Dash Social platform.
  license:
    name: Commercial
    url: https://dashsocial.com/terms
  title: Community API
  version: 1.0.0
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://community.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for comment sentiment.
    name: Comment Sentiment
  - description: Endpoints responsible for community interaction tags.
    name: Community Interaction Tags
  - description: Endpoints responsible for community interactions.
    name: Community Interactions
  - description: Endpoints responsible for community overview.
    name: Community Overview
  - description: Endpoints responsible for community post operations
    name: Community Posts
  - description: Endpoints responsible for managing Facebook comments.
    name: Facebook Comments
  - description: Endpoints responsible for managing Facebook messages.
    name: Facebook Messages
  - description: Endpoints responsible for managing Instagram comments.
    name: Instagram Comments
  - description: Endpoints responsible for Instagram messages.
    name: Instagram Messages
  - description: Endpoints responsible for community interaction automation rules.
    name: Interaction Rules
  - description: Endpoints responsible for managing preset replies.
    name: Preset replies
  - description: Endpoints responsible for managing TikTok comments.
    name: TikTok Comments
  - description: Endpoints responsible for managing Twitter messages.
    name: Twitter Messages
  - description: Endpoints responsible for managing Twitter tweets.
    name: Twitter Tweets
  - description: Endpoints responsible for managing YouTube Comments
    name: YouTube Comments
paths:
  /community_interactions:
    get:
      tags:
        - Community Interactions
      summary: Get community interactions
      description: Gets the community interactions for a brand, and supports filtering.
      parameters:
        - description: The conversation's brand ID.
          in: query
          name: brand_id
          required: true
          schema:
            type: integer
        - description: Number of results to return in a single response.
          in: query
          name: limit
          required: false
          schema:
            default: 100
            type: integer
        - description: The offset of the first result to be returned.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: Comma separated list of types.
          explode: false
          in: query
          name: types
          required: false
          schema:
            items:
              enum:
                - COMMUNITY_INTERACTION
                - FACEBOOK_ADS_COMMENT
                - FACEBOOK_COMMENT
                - FACEBOOK_CONVERSATION
                - INSTAGRAM_ADS_COMMENT
                - INSTAGRAM_COMMENT
                - INSTAGRAM_CONVERSATION
                - TIKTOK_COMMENT
                - TWITTER_CONVERSATION
                - TWITTER_MENTION
                - TWITTER_QUOTE
                - TWITTER_RETWEET
                - YOUTUBE_COMMENT
              type: string
            type: array
          style: form
        - description: >-
            Comma separated list of tag IDs to filter results by. Condition is
            AND
          explode: false
          in: query
          name: tag_ids
          required: false
          schema:
            items:
              type: integer
            type: array
          style: form
        - description: >-
            When the community interaction was updated according to the source
            platform.
          in: query
          name: source_updated_after
          required: false
          schema:
            format: date-time
            type: string
        - description: >-
            When the community interaction was updated according to the source
            platform.
          in: query
          name: source_updated_before
          required: false
          schema:
            format: date-time
            type: string
        - description: Whether the community interaction is marked as archived.
          in: query
          name: is_archived
          required: false
          schema:
            type: boolean
        - description: Whether the community interaction is marked as follow-up.
          in: query
          name: is_follow_up
          required: false
          schema:
            type: boolean
        - description: Whether the community interaction is marked as read.
          in: query
          name: is_read
          required: false
          schema:
            type: boolean
        - description: A text that helps search for relevant records.
          in: query
          name: query
          required: false
          schema:
            type: string
        - description: Flag to determine if query is a list of comma separated keywords.
          in: query
          name: multiple_keywords
          required: false
          schema:
            type: boolean
        - description: Comma separated list of library media IDs
          explode: false
          in: query
          name: media_ids
          required: false
          schema:
            items:
              type: integer
            type: array
          style: form
        - description: Is the comment is labeled as positive.
          in: query
          name: is_positive
          required: false
          schema:
            type: boolean
        - description: Is the comment is labeled as positive.
          in: query
          name: is_neutral
          required: false
          schema:
            type: boolean
        - description: Is the comment is labeled as positive.
          in: query
          name: is_negative
          required: false
          schema:
            type: boolean
        - description: Is the comment a question.
          in: query
          name: is_question
          required: false
          schema:
            type: boolean
        - description: A ticket ID to filter results by with OR condition.
          in: query
          name: ticket_id
          required: false
          schema:
            type: string
        - description: ID of the assigned user
          in: query
          name: assignee_id
          required: false
          schema:
            type: integer
        - description: Value to sort results by and the direction.
          in: query
          name: sort
          required: false
          schema:
            enum:
              - '-SOURCE_UPDATED_AT'
              - RELEVANCE
              - SAMPLE
              - SOURCE_UPDATED_AT
            type: string
        - description: >-
            When set to true, the source_updated_after/before filter will be
            applied to individual messages inside a conversation when performing
            a search
          in: query
          name: message_nested_date_filter
          required: false
          schema:
            type: boolean
        - description: The ID of the specific interaction.
          in: query
          name: id
          required: false
          schema:
            type: integer
        - description: If the documents searched must have text
          in: query
          name: must_include_text
          required: false
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommunityInteractionOutput'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    CommunityInteractionOutput:
      properties:
        data:
          description: Different types of community interactions.
          items:
            $ref: '#/components/schemas/CommunityInteractionMultiplex'
          type: array
        paging:
          allOf:
            - $ref: '#/components/schemas/PagingDataSchemaWithOffset'
          description: Pagination data
          readOnly: true
      type: object
    CommunityInteractionMultiplex:
      discriminator:
        mapping:
          COMMUNITY_INTERACTION:
            $ref: '#/components/schemas/CommunityInteractions'
          FACEBOOK_COMMENT:
            $ref: '#/components/schemas/FacebookComment'
          FACEBOOK_CONVERSATION:
            $ref: '#/components/schemas/FacebookConversation'
          INSTAGRAM_COMMENT:
            $ref: '#/components/schemas/InstagramComment'
          INSTAGRAM_CONVERSATION:
            $ref: '#/components/schemas/IGConversation'
          TIKTOK_COMMENT:
            $ref: '#/components/schemas/TikTokComment'
          TWITTER_CONVERSATION:
            $ref: '#/components/schemas/TwitterConversation'
          TWITTER_MENTION:
            $ref: '#/components/schemas/TwitterTweet'
          TWITTER_QUOTE:
            $ref: '#/components/schemas/TwitterTweet'
          TWITTER_RETWEET:
            $ref: '#/components/schemas/TwitterTweet'
          YOUTUBE_COMMENT:
            $ref: '#/components/schemas/YouTubeComment'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/TikTokComment'
        - $ref: '#/components/schemas/IGConversation'
        - $ref: '#/components/schemas/InstagramComment'
        - $ref: '#/components/schemas/CommunityInteractions'
        - $ref: '#/components/schemas/FacebookComment'
        - $ref: '#/components/schemas/FacebookConversation'
        - $ref: '#/components/schemas/TwitterTweet'
        - $ref: '#/components/schemas/TwitterTweet'
        - $ref: '#/components/schemas/TwitterTweet'
        - $ref: '#/components/schemas/TwitterConversation'
        - $ref: '#/components/schemas/YouTubeComment'
    PagingDataSchemaWithOffset:
      properties:
        count:
          description: Number of records in the current page.
          type: integer
        next:
          description: URL to the next page of data.
          format: url
          type: string
        offset:
          description: The number of new records on the current page
          type: integer
        previous:
          description: URL to the previous page of data.
          format: url
          type: string
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
    CommunityInteractions:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        created_at:
          description: When the community interaction was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The community interaction's ID.
          readOnly: true
          type: integer
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        source_updated_at:
          description: When the community interaction was updated according to the source.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: When the community interaction was last updated.
          format: date-time
          readOnly: true
          type: string
      type: object
    FacebookComment:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        attachment:
          description: Attachment on the comment.
          readOnly: true
          type: object
        author_profile_picture_url:
          default: null
          description: The profile picture URL of the author.
          nullable: true
          readOnly: true
          type: string
        author_username:
          default: null
          description: The handle of the author.
          nullable: true
          readOnly: true
          type: string
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        created_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        facebook_comment_id:
          description: The comment ID provided by Facebook.
          readOnly: true
          type: string
        facebook_parent_comment_id:
          description: The parent comment ID provided by Facebook.
          type: string
        facebook_profile_picture_url:
          default: null
          description: The profile picture URL of the comment author.
          nullable: true
          readOnly: true
          type: string
        facebook_username:
          default: null
          description: The user handle of the comment author.
          nullable: true
          readOnly: true
          type: string
        id:
          description: The comment's ID.
          readOnly: true
          type: integer
        is_ad_comment:
          description: Whether the comment is from ads.
          readOnly: true
          type: boolean
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_hidden:
          description: Whether the comment is marked as hidden.
          type: boolean
        is_owned:
          description: Whether the brand posted this comment.
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_id:
          description: The ID of the media the comment was made on.
          readOnly: true
          type: integer
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_is_carousel:
          description: Whether the post is a carousel.
          readOnly: true
          type: boolean
        post_media:
          allOf:
            - $ref: '#/components/schemas/PostMedia'
          description: Info about the media the comment was made on.
          nullable: true
          readOnly: true
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        sentiment:
          allOf:
            - $ref: '#/components/schemas/Sentiment'
          description: The comment sentiment.
          readOnly: true
        source_updated_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        text:
          description: The comment body.
          type: string
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: The last time when the comment was updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - facebook_parent_comment_id
        - is_owned
        - text
      type: object
    FacebookConversation:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        created_at:
          description: When the community interaction was created.
          format: date-time
          readOnly: true
          type: string
        error_status:
          description: Any error statuses on the conversation.
          enum:
            - APP_ERROR
            - DELETED
            - EXPIRED
            - RATE_LIMITED
            - RECIPIENT_ID_INVALID
            - SEND_API_ACCESS_DISABLED
            - SEND_API_ERROR
            - TOKEN_INVALID
            - UNKNOWN_API_ERROR
            - USAGE_ERROR
            - USER_ACC_ERROR
          type: string
        facebook_conversation_id:
          description: The unique conversation id provided by Facebook.
          readOnly: true
          type: string
        fb_brand_participant:
          allOf:
            - $ref: '#/components/schemas/FacebookParticipant'
          description: The brand participant in the conversation.
          readOnly: true
        fb_follower_participant:
          allOf:
            - $ref: '#/components/schemas/FacebookParticipant'
          description: The brand follower in the conversation.
          readOnly: true
        id:
          description: The community interaction's ID.
          readOnly: true
          type: integer
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        most_recent_message:
          description: The text of the most recent message in the conversation.
          readOnly: true
          type: string
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        source_updated_at:
          description: When the community interaction was updated according to the source.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: When the community interaction was last updated.
          format: date-time
          readOnly: true
          type: string
      type: object
    InstagramComment:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        author_profile_picture_url:
          default: null
          description: The profile picture URL of the author.
          nullable: true
          readOnly: true
          type: string
        author_username:
          default: null
          description: The handle of the author.
          nullable: true
          readOnly: true
          type: string
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        created_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The comment's ID.
          readOnly: true
          type: integer
        instagram_comment_id:
          description: The comment's ID provided by Instagram.
          readOnly: true
          type: string
        instagram_created_at:
          description: The creation timestamp of the Instagram post.
          format: date-time
          readOnly: true
          type: string
        instagram_parent_comment_id:
          description: The parent comment's ID provided by Instagram.
          type: string
        instagram_username:
          default: null
          description: The instagram handle of the author.
          nullable: true
          type: string
        is_ad_comment:
          description: Whether the comment is from ads.
          type: boolean
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_hidden:
          default: false
          description: Whether the comment is marked as hidden.
          type: boolean
        is_owned:
          default: false
          description: Whether the brand posted this comment.
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_id:
          description: The ID of the media the comment was made on.
          readOnly: true
          type: integer
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_media:
          allOf:
            - $ref: '#/components/schemas/PostMedia'
          description: Info about the media the comment was made on.
          nullable: true
          readOnly: true
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        sentiment:
          allOf:
            - $ref: '#/components/schemas/Sentiment'
          description: The comment sentiment.
          readOnly: true
        source_updated_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        text:
          description: The comment body.
          type: string
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: The last time the comment was updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - instagram_parent_comment_id
        - is_ad_comment
        - text
      type: object
    IGConversation:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_participant:
          allOf:
            - $ref: '#/components/schemas/IGParticipant'
          description: The brand participant in the conversation.
          readOnly: true
        created_at:
          description: When the community interaction was created.
          format: date-time
          readOnly: true
          type: string
        error_status:
          description: Any error statuses on the conversation.
          enum:
            - APP_ERROR
            - DELETED
            - EXPIRED
            - RATE_LIMITED
            - RECIPIENT_ID_INVALID
            - SEND_API_ACCESS_DISABLED
            - SEND_API_ERROR
            - TOKEN_INVALID
            - UNKNOWN_API_ERROR
            - USAGE_ERROR
            - USER_ACC_ERROR
          type: string
        follower_participant:
          allOf:
            - $ref: '#/components/schemas/IGParticipant'
          description: The brand follower in the conversation.
          readOnly: true
        id:
          description: The community interaction's ID.
          readOnly: true
          type: integer
        instagram_thread_id:
          description: The conversation ID provided by Instagram.
          readOnly: true
          type: string
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        most_recent_message:
          description: The text of the most recent message in the conversation.
          readOnly: true
          type: string
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        source_updated_at:
          description: When the community interaction was updated according to the source.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: When the community interaction was last updated.
          format: date-time
          readOnly: true
          type: string
      type: object
    TikTokComment:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        author_profile_picture_url:
          description: The url of the author's profile picture.
          type: string
        author_username:
          default: null
          description: The handle of the author.
          nullable: true
          readOnly: true
          type: string
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        created_at:
          description: When the community interaction was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The community interaction's ID.
          readOnly: true
          type: integer
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_hidden:
          description: If the comment is hidden.
          type: boolean
        is_liked:
          description: If the comment is liked.
          type: boolean
        is_owned:
          description: If the brand posted this comment.
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_id:
          description: The ID of the media the comment was made on.
          readOnly: true
          type: integer
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_media:
          allOf:
            - $ref: '#/components/schemas/PostMedia'
          description: Info about the media the comment was made on.
          nullable: true
          readOnly: true
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        sentiment:
          allOf:
            - $ref: '#/components/schemas/Sentiment'
          description: The comment sentiment.
          readOnly: true
        source_updated_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        text:
          description: The comment body.
          type: string
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        tiktok_comment_id:
          description: The comment ID provided by TikTok.
          readOnly: true
          type: string
        tiktok_parent_comment_id:
          description: The parent comment ID provided by TikTok.
          type: string
        tiktok_username:
          description: The username of the comment author.
          readOnly: true
          type: string
        tiktok_video_created_at:
          description: The post creation timestamp provided by TikTok.
          format: date-time
          readOnly: true
          type: string
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: When the community interaction was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - is_hidden
        - is_liked
        - is_owned
        - text
        - tiktok_parent_comment_id
      type: object
    TwitterConversation:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        created_at:
          description: When the community interaction was created.
          format: date-time
          readOnly: true
          type: string
        error_status:
          description: Any error statuses on the conversation.
          enum:
            - APP_ERROR
            - DELETED
            - EXPIRED
            - RATE_LIMITED
            - RECIPIENT_ID_INVALID
            - SEND_API_ACCESS_DISABLED
            - SEND_API_ERROR
            - TOKEN_INVALID
            - UNKNOWN_API_ERROR
            - USAGE_ERROR
            - USER_ACC_ERROR
          type: string
        id:
          description: The community interaction's ID.
          readOnly: true
          type: integer
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        most_recent_message:
          description: The text of the most recent message in the conversation.
          readOnly: true
          type: string
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        source_updated_at:
          description: When the community interaction was updated according to the source.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        twitter_brand_participant:
          allOf:
            - $ref: '#/components/schemas/TwitterParticipant'
          description: The brand participant in the conversation.
          readOnly: true
        twitter_follower_participant:
          allOf:
            - $ref: '#/components/schemas/TwitterParticipant'
          description: The brand follower in the conversation.
          readOnly: true
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: When the community interaction was last updated.
          format: date-time
          readOnly: true
          type: string
      type: object
    TwitterTweet:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        attachments:
          description: A list of attachments from the tweet.
          items:
            description: An attachment from the tweet.
            readOnly: true
            type: object
          readOnly: true
          type: array
        author_profile_picture_url:
          default: null
          description: The profile picture URL of the author.
          nullable: true
          readOnly: true
          type: string
        author_username:
          default: null
          description: The handle of the author.
          nullable: true
          readOnly: true
          type: string
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        created_at:
          description: When the community interaction was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The community interaction's ID.
          readOnly: true
          type: integer
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_hidden:
          description: Whether the tweet is marked as hidden.
          type: boolean
        is_liked:
          description: Whether the tweet is marked as liked.
          type: boolean
        is_owned:
          description: Whether the brand posted this tweet.
          type: boolean
        is_quoted_by:
          description: A list of the tweet IDs that quoted this tweet.
          items:
            description: The tweet ID of the quote tweet.
            readOnly: true
            type: string
          readOnly: true
          type: array
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        is_retweeted:
          description: Whether the brand has retweeted the tweet.
          type: boolean
        media_id:
          description: The ID of the media the comment was made on.
          readOnly: true
          type: integer
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_media:
          allOf:
            - $ref: '#/components/schemas/PostMedia'
          description: Info about the media the comment was made on.
          nullable: true
          readOnly: true
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        quoted_status:
          allOf:
            - $ref: '#/components/schemas/TweetRelatedStatus'
          description: The tweet that was quoted.
          readOnly: true
        retweeted_status:
          allOf:
            - $ref: '#/components/schemas/TweetRelatedStatus'
          description: The retweeted tweet.
          readOnly: true
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        sentiment:
          allOf:
            - $ref: '#/components/schemas/Sentiment'
          description: The comment sentiment.
          readOnly: true
        source_updated_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        text:
          description: The comment body.
          type: string
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        top_parent_status:
          allOf:
            - $ref: '#/components/schemas/TwitterTweet'
          description: The top parent tweet.
          readOnly: true
        top_parent_tweet_id:
          description: >-
            The ID of the top-most brand-mentioned or brand-owned tweet provided
            by Twitter.
          type: string
        twitter_parent_tweet_id:
          description: The parent tweet ID provided by Twitter.
          type: string
        twitter_tweet_id:
          description: The tweet ID provided by Twitter.
          readOnly: true
          type: string
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: When the community interaction was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - is_owned
        - text
        - top_parent_tweet_id
        - twitter_parent_tweet_id
      type: object
    YouTubeComment:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        author_profile_picture_url:
          default: null
          description: The profile picture URL of the author.
          nullable: true
          readOnly: true
          type: string
        author_user_id:
          description: The YouTube channel ID of the video author.
          readOnly: true
          type: string
        author_username:
          default: null
          description: The handle of the author.
          nullable: true
          readOnly: true
          type: string
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        created_at:
          description: When the community interaction was created.
          format: date-time
          readOnly: true
          type: string
        deleted_at:
          description: The comment deletion timestamp.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The community interaction's ID.
          readOnly: true
          type: integer
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_owned:
          description: Whether the brand posted this comment.
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_id:
          description: The ID of the media the comment was made on.
          readOnly: true
          type: integer
        media_type:
          description: The media type of the video.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_media:
          allOf:
            - $ref: '#/components/schemas/PostMedia'
          description: Info about the media the comment was made on.
          nullable: true
          readOnly: true
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        sentiment:
          allOf:
            - $ref: '#/components/schemas/Sentiment'
          description: The comment sentiment.
          readOnly: true
        source_updated_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        text:
          description: The comment body.
          type: string
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: When the community interaction was last updated.
          format: date-time
          readOnly: true
          type: string
        youtube_comment_id:
          description: The comment ID provided by YouTube.
          readOnly: true
          type: string
        youtube_parent_comment_id:
          description: The parent comment ID provided by YouTube.
          type: string
      required:
        - author_user_id
        - is_owned
        - text
        - youtube_parent_comment_id
      type: object
    CommunityInteractionTicket:
      properties:
        label:
          description: A human friendly ID for the ticket from the source.
          type: string
        source_created_at:
          description: Date and time the ticket was created at the source.
          type: string
        source_id:
          description: The ticket ID from the source.
          type: string
        source_updated_at:
          description: Date the ticket was updated at the source.
          type: string
        status:
          description: The status of the ticket from the source.
          type: string
        message_id:
          description: The ID of the specific message this ticket was created for.
          type: integer
        source:
          description: Source of the ticket.
          enum:
            - SALESFORCE
            - ZENDESK
          type: string
      required:
        - label
        - source_created_at
        - source_id
        - source_updated_at
        - status
      type: object
    BrandUserReply:
      properties:
        brand_id:
          description: The brand ID of the brand user reply.
          type: integer
        created_at:
          description: When the brand user reply was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The brand user reply's ID.
          readOnly: true
          type: integer
        resource_id:
          description: The resource ID of the brand reply.
          type: integer
        resource_type:
          description: The resource type of the brand reply.
          enum:
            - FACEBOOK_COMMENT
            - FACEBOOK_MESSAGE
            - INSTAGRAM_COMMENT
            - INSTAGRAM_MESSAGE
            - TIKTOK_COMMENT
            - TWITTER_MENTION
            - TWITTER_MESSAGE
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          type: string
        updated_at:
          description: When the brand user reply was last updated.
          format: date-time
          readOnly: true
          type: string
        user_id:
          description: The user ID of the brand user that made the reply.
          type: integer
      type: object
    PostMedia:
      properties:
        caption:
          description: The media caption
          readOnly: true
          type: string
        comment_count:
          description: The number of comments on the media
          readOnly: true
          type: integer
        image_sizes:
          allOf:
            - $ref: '#/components/schemas/ImageSize'
          description: Images of the post media
          readOnly: true
        likes:
          description: The number of likes on the media
          readOnly: true
          type: integer
        media_comment_sentiment:
          allOf:
            - $ref: '#/components/schemas/SentimentCount'
          description: The media comment sentiment
          readOnly: true
        media_type:
          description: The media type
          readOnly: true
          type: string
        source_created_at:
          description: When the media was created.
          format: date-time
          readOnly: true
          type: string
        user_avatar:
          description: >-
            Avatar of the sender. Used for Twitter mentions that have brand
            media
          readOnly: true
          type: string
        user_handle:
          description: Handle of the media poster
          readOnly: true
          type: string
      required:
        - comment_count
        - image_sizes
        - media_comment_sentiment
        - media_type
        - source_created_at
      type: object
    Sentiment:
      properties:
        is_negative:
          description: If the comment sentiment is negative
          readOnly: true
          type: boolean
        is_neutral:
          description: If the comment sentiment is neutral
          readOnly: true
          type: boolean
        is_positive:
          description: If the comment sentiment is positive
          readOnly: true
          type: boolean
        is_question:
          description: If the comment is a question
          readOnly: true
          type: boolean
      required:
        - is_negative
        - is_neutral
        - is_positive
        - is_question
      type: object
    FacebookParticipant:
      properties:
        facebook_psid:
          description: The participant's ID.
          readOnly: true
          type: integer
        profile_picture_url:
          description: The participant's profile picture URL.
          readOnly: true
          type: string
        username:
          description: The participant's username.
          readOnly: true
          type: string
      type: object
    IGParticipant:
      properties:
        instagram_scoped_id:
          description: The participant's ID.
          readOnly: true
          type: integer
        profile_picture_url:
          description: The participant's profile picture URL.
          readOnly: true
          type: string
        username:
          description: The participant's username.
          readOnly: true
          type: string
      type: object
    TwitterParticipant:
      properties:
        profile_picture_url:
          description: The participant's profile picture URL.
          readOnly: true
          type: string
        twitter_user_id:
          description: The user ID provided by Twitter.
          readOnly: true
          type: string
        username:
          description: '''The participant''s username.'
          readOnly: true
          type: string
      type: object
    TweetRelatedStatus:
      properties:
        attachments:
          description: A list of attachments from the tweet.
          items:
            description: An attachment from the tweet.
            readOnly: true
          type: array
        name:
          description: The display name of the tweet author.
          type: string
        profile_picture_url:
          default: null
          description: The profile picture URL of the author.
          nullable: true
          type: string
        screen_name:
          description: The handle of the tweet author.
          type: string
        text:
          description: The text in the tweet.
          type: string
        tweet_id:
          description: The ID of the tweet.
          type: string
      required:
        - attachments
        - screen_name
        - tweet_id
      type: object
    ImageSize:
      properties:
        default:
          description: The default image for the media
          type: string
      type: object
    SentimentCount:
      properties:
        negative_count:
          description: Count of negative sentiment interactions on the post
          readOnly: true
          type: integer
        neutral_count:
          description: Count of neutral sentiment interactions on the post
          readOnly: true
          type: integer
        positive_count:
          description: Count of positive sentiment interactions on the post
          readOnly: true
          type: integer
      required:
        - negative_count
        - neutral_count
        - positive_count
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````